Subject: Re: Pulling tags from git.git

From: A Large Angry SCM <[email-masked]>
Date: Tue, 07 Mar 2006 06:37:36 -0800

Andreas Ericsson wrote:
> Junio C Hamano wrote:
>> Andreas Ericsson <[email-masked]> writes:
>>
>>
>>> With the git or git+ssh protocol, tags will be autofollowed
>>> when you do a pull (only signed tags, I think).  The
>>> auto-following is done by detecting tags that are fetched,
>>
>>
>> Ah, you are correct.  We do not follow lightweight tags; I am
>> not sure if we should.
>>
> 
> I'm fairly sure we shouldn't. The default update-hook prevents them (if 
> enabled), and I can't for the life of me think of why anyone would want 
> to distribute such tags.
> 
> OTOH, preventing unannotated tags from being pushed seems like a better 
> way than to not have the ability to auto-follow those same tags. After 
> all, it's better to discourage than to disallow.
> 

Before you do this, please explain why unannotated tags are not useful, 
and so should not be allowed to be pushed.